package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import org.hibernate.annotations.Type;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class PemeriksaanLimbahDetailVO
 * 
 * @author Generator
 */
public class PemeriksaanLimbahDetailVO extends BaseTransactionVO {
	
	
	@ManyToOne
	@JoinColumn(name = "ObjectPemeriksaanLimbahFk")
	@Caption(value = "ObjectPemeriksaanLimbahFk")
	@NotNull(message="pemeriksaan Limbah tidak boleh kosong")
	private ProdukKeslingNilaiNormalVO produkKeslingNilaiNormal;
	
	@Column(name = "nilai")
	@Caption(value = "nilai")
	private String nilai;
	
	@Column(name = "keterangan")
	@Caption(value = "keterangan")
	private String keterangan;

	public ProdukKeslingNilaiNormalVO getProdukKeslingNilaiNormal() {
		return produkKeslingNilaiNormal;
	}

	public void setProdukKeslingNilaiNormal(ProdukKeslingNilaiNormalVO produkKeslingNilaiNormal) {
		this.produkKeslingNilaiNormal = produkKeslingNilaiNormal;
	}

	public String getNilai() {
		return nilai;
	}

	public void setNilai(String nilai) {
		this.nilai = nilai;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	

	
}

